Soma received a few questions on his blog from folks who received the Release Candidate at the PDC about what works with what.  The PDC was tricky because we wanted to have a set of bits that teams from Microsoft could standardize on AND we wanted to hand out the latest and greatest bits to let people try out the Release Candidate. We knew that these two worlds would collide, but decided that getting the latest build into everyone’s hands to find those last show stopper issues outweighed the confusion that might arise.

 

Jason pulled the questions out of the comments and answered them in Q&A style here.  Thanks Jason!

 

Q. I got the VS RC1 bits at PDC…yea! But am really interested in getting the Biztalk 2006 Beta 1 working with it...which the doc's say currently work with VS Beta2.

 

A:  BizTalk 2006 Beta1 does in fact require the use of VS Whidbey Beta2.  However, the exciting news is that BizTalk 2006 plans to release their Beta2 later this year.  The BizTalk 2006 Beta2 will require VS Whidbey RTM!  You can also find out more about the compatibilities of the PDC bits here: http://channel9.msdn.com/wiki/default.aspx/Channel9.PDCTheGoods

 

Q. Will there be updated versions of various .NET Framework 2.0 dependent products like WinFX Runtime Components which work with RC1 or do we have to wait for the final release of .NET Framework 2.0?

 

A: Each of the various technologies announced at the PDC that leverage the .NET Framework 2.0 have plans to provide updates of their technologies that work with Whidbey RTM.  Specifically, BizTalk 2006 and WinFX Runtime Components should have externally available releases (Betas) by the end of the year.

 

Q. FAQ: How do I know which version of VSWhidbey to use with the technologies from Microsoft that also leverage the .NET Framework v2.0?  And why do I have to know this?

 

A: Many of the technologies that leverage the .NET Framework v2.0 specify in their installers or readme documentation which release of the .NET Framework they require; be it Beta2, August CTP, or the September CTP (aka PDC build).

 

There have been some community efforts to help developers and other enthusiasts to better understand which builds of the .NET Framework v2.0, SQL Server 2005, VS 2005 all work together.  You should check out the Channel9 site that can help detect which version you have installed and suggest combinations of technologies that work together: http://channel9.msdn.com/ctpmadness/Default.aspx.

 

So, why do you have to know all this?  The simple answer is that while the .NET Framework v2.0 can be installed side-by-side with previous major releases of the .NET Framework (v1.1 and v1.0), it cannot be installed side-by-side with other interim releases of v2.0.  In other words it’s not side-by-side with itself. 

 

Additionally, the .NET Framework v2.0 has had some great innovation in it over above v1.1 (and v1.0).  Some of this innovation has been iterative and included the feedback from you, our customers.  These iterations have sometimes resulted in “breaking changes” that prevent applications that were written to work with .NET Framework v2.0 Beta2 to stop functioning on .NET Framework v2.0 RC1/RTM.

 

We’re putting together documentation that will help developers understand the ‘breaking changes’ between Beta2 and RTM.  This will be available at the same time that .NET Framework v2.0 is released…RTM’d!!